Uploaded image for project: 'FreePBX'
  1. FreePBX
  2. FREEPBX-7994

Older versions of wget don't support -q flag to get headers

    XMLWordPrintable

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: 12
    • Fix Version/s: 14
    • Labels:
      None
    • ToDo:
    • Target Release:
      14

      Description

      A customer was just trying to upgrade from v2.11 to v2.12 and getting the following error -

      amportal a ma upgradeall

      Fetching FreePBX settings with gen_amp_conf.php..

      no repos specified, using: [standard] from last GUI settings

      Upgrading: asteriskinfo, backup, callforward, callwaiting, cdr, conferences, dashboard, directory, featurecodeadmin, findmefollow, logfiles, music, queues, recordings, restart, ringgroups, timeconditions, voicemail, weakpasswords
      Upgrading asteriskinfo..
      Found module locally, verifying...Redownloading
      The following error(s) occured:

      There were no network errors and the module files could be downloaded manually.

      Changing this line in the following file resolved the issue - /var/www/html/admin/functions.inc.php

      exec("wget --spider --server-response -q ".$url." 2>&1", $wgetout, $exitstatus);

      to

      exec("wget --spider --server-response ".$url." 2>&1", $wgetout, $exitstatus);

      Not sure if this is a general issue or related to that specific install.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                xrobau Rob Thomas
                Reporter:
                SysAdminMan SysAdminMan
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: